#include "tc1v1_3_1.lsl"

processor spe
{
	derivative = tc1387;
}

derivative tc1387
{
	core tc
	{
		architecture = TC1V1.3.1;
	}

	bus fpi_bus
	{
		mau = 8;
		width = 32;
		map (dest=bus:tc:fpi_bus, dest_offset=0, size=4G);
	}

	memory brom
	{
		mau = 8;
		size = 16k;
		type = reserved rom;
		map (dest=bus:tc:fpi_bus, dest_offset=0xAFFFC000, size=16k);
	}
	memory ovram
	{
		mau = 8;
		size = 8k;
		type = reserved ram;
		map (dest=bus:tc:fpi_bus, dest_offset=0xAFE80000, size=8k);
	}
	memory ldram
	{
		mau = 8;
		size = 124k;
		type = ram;
		map (dest=bus:tc:fpi_bus, dest_offset=0xD0000000, size=124k);
	}
	memory spram
	{
		mau = 8;
		size = 24k;
		type = reserved ram;
		map (dest=bus:tc:fpi_bus, dest_offset=0xD4000000, size=24k);
	}
	memory pram
	{
		mau = 8;
		size = 16k;
		type = ram;
		map (dest=bus:tc:pcp_data_bus, size=16k);
		map (dest=bus:tc:fpi_bus, dest_offset=0xF0050000, size=16k);
	}
	memory pcode
	{
		mau = 8;
		size = 32k;
		type = ram;
		map (dest=bus:tc:pcp_code_bus, size=32k);
		map (dest=bus:tc:fpi_bus, dest_offset=0xF0060000, size=32k);
	}
}
