#
# Makefile Template for Tessy
#
# Compiler: Tasking/Tricore VX
# Debugger: TRACE32
# Template Version : 1
#

# Defines to be generated by Tessy:
#
# TESSY_SYS          :=
# MODULE_PATH        :=
# TESTOBJECT         :=
# USER_LINK_OPTIONS  :=
# COMPILER_INSTALL_PATH :=
# TARGET_INSTALL_PATH   :=

#####################################################################
#BEGIN_DEFINES
#####################################################################

TESSY_SYS_DOS	 	:=	$(shell ts_pathname -s $(TESSY_SYS))
MODULE_PATH_DOS 	:=	$(shell ts_pathname -s $(MODULE_PATH))
TASKING_HOME		:= $(shell ts_pathname -s '$(COMPILER_INSTALL_PATH)')
CPU_FILE				:= $(shell ts_pathname -d -s '$(LSLFILE)')\$(CPU).lsl

all	 : master slave
master : $(MODULE_PATH)/ts_$(TESTOBJECT)_m.exe
slave  : $(MODULE_PATH_DOS)\ts_$(TESTOBJECT)_s.elf

#
# MASTER & COMM Makefiles
# (you should not need to modify these settings)
#
M_COMM_MAKE		:=	$(TESSY_SYS)/make/master_trace32_gnu_i386.mk
S_COMM_MAKE		:=	$(TESSY_SYS)/src/comm/comm_trace32_taskingvx_tricore.mk


#
# SLAVE
# (You may change these settings to use your own compiler/linker options)
#
S_COMP_OPTIONS := -g -C$(CPU) -DTESSY -DTS_SLAVE -DTS_TRACE32 -DTS_TRICORE -DTS_HAVE_FLOAT64 -DTS_HAVE_INT64
S_LINK_OPTIONS	:= -dts_$(TESTOBJECT)_s.lsl -C$(CPU)
S_INCLUDES		:= -I$(TESSY_SYS_DOS)\include\tessy\comm

S_CC				:=	$(TASKING_HOME)\bin\cctc
S_LINK			:=	$(TASKING_HOME)\bin\cctc
S_OBJECTS  		:= $(STARTUP_FILE) \
						$(MODULE_PATH_DOS)\tslows_trace32.o \
             		$(MODULE_PATH_DOS)\tstcomm.o \
             		$(MODULE_PATH_DOS)\tscoml.o \
             		$(MODULE_PATH_DOS)\ts_timer.o
S_STUB_OBJECT  := $(MODULE_PATH_DOS)\ts_$(TESTOBJECT)_stubs.o
S_UC_OBJECT    := $(MODULE_PATH_DOS)\ts_$(TESTOBJECT)_usr.o


#####################################################################
#END_DEFINES
#####################################################################

# Targets to be defined by Tessy
#
# for each source
#
# S_SRC_OBJECTS      := $(MODULE_PATH)/ts_src01.o ... ts_srcnn.o
# USER_COMP_OPTIONS* :=
#
# $(MODULE_PATH)/ts_src*.o : $(MODULE_PATH)/ts_src*.c
#     $(S_CC) $(S_INCLUDES) $(S_COMP_OPTIONS) $(USER_COMP_OPTIONS*) $< -o $@

#####################################################################
#BEGIN_TARGETS
#####################################################################

#
# COMPILE USERCODE / STUBS
#
$(S_UC_OBJECT) : $(MODULE_PATH_DOS)\ts_$(TESTOBJECT)_usr.c
	@echo ***** Compiling Usercode *****
	$(S_CC) $(S_INCLUDES) $(S_COMP_OPTIONS) -c $< -o $@

$(S_STUB_OBJECT) : $(MODULE_PATH_DOS)\ts_$(TESTOBJECT)_stubs.c
	@echo ***** Compiling Stubs *****
	$(S_CC) $(S_INCLUDES) $(S_COMP_OPTIONS) -c $< -o $@

#
# COMPILE/LINK MASTER
#

include $(M_COMM_MAKE)


#
# COMPILE SLAVE COMMUNICATION MODULES

include $(S_COMM_MAKE)



#
# COMPILE/LINK SLAVE
#
$(MODULE_PATH_DOS)\ts_$(TESTOBJECT)_s.lsl : $(LSLFILE)
	@ts_cp $< $@

$(MODULE_PATH_DOS)\$(CPU).lsl : $(CPU_FILE)
	@ts_cp $< $@

$(MODULE_PATH_DOS)\ts_$(TESTOBJECT)_s.o : $(MODULE_PATH_DOS)\ts_$(TESTOBJECT)_s.c
	@echo *
	@echo ***** Compiling Slave *****
	$(S_CC) -w $(S_COMP_OPTIONS) $(S_INCLUDES) -c $< -o $@

$(MODULE_PATH_DOS)\ts_$(TESTOBJECT)_s.elf : $(MODULE_PATH_DOS)\ts_$(TESTOBJECT)_s.lsl \
															$(MODULE_PATH_DOS)\$(CPU).lsl \
															$(MODULE_PATH_DOS)\ts_$(TESTOBJECT)_s.o \
															$(S_SRC_OBJECTS) \
															$(S_UC_OBJECT) \
															$(S_STUB_OBJECT) \
															$(S_OBJECTS)
	@echo *
	@echo ***** Linking Slave *****
	$(S_LINK) \
				$(S_SRC_OBJECTS) $(S_UC_OBJECT) \
            $(S_STUB_OBJECT) $(MODULE_PATH_DOS)\ts_$(TESTOBJECT)_s.o \
            $(S_OBJECTS) $(USER_LINK_OPTIONS) $(S_LINK_OPTIONS) -o $@
	@-ts_rm "$(MODULE_PATH)"/*.o


#####################################################################
#END_TARGETS
#####################################################################












